[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Depending on python-gnome2-extras (was: Splitting of the gnome-python* source packages - MBF)

On Mon, Mar 23, 2009 at 03:28:30PM +0100, Josselin Mouette wrote:
> Apparently, developers have a strong tendency to not fix these bugs the
> correct way and instead, to make packages depend on e.g.
> python-gtkmozembed | python-gnome2-extras

Could you expand on this point?

The question has just arisen from one of my upstreams about Ubuntu not
having a python-gtkmozembed package. He has suggested making the binary
package depend on python-gtkmozembed | python-gnome2-extras so that
Ubuntu can do a straight import; I suggested they do a merge and change
the dependency only in the Ubuntu repo.

But I'm interested to know why this dependency is Bad Thing, and whether
actually it's not so bad and I could be kind to the Ubuntu folks without
making a dependency mess for us.

TIA for your comments.

Jonathan Wiltshire

PGP/GPG: 0xDB800B52 / 4216 F01F DCA9 21AC F3D3  A903 CA6B EA3E DB80 0B52

Attachment: signature.asc
Description: Digital signature

Reply to: